"""
██╗  ██╗ ██████╗ ██╗    ██╗    ████████╗ ██████╗     ██╗   ██╗███████╗███████╗    ████████╗██╗  ██╗██╗███████╗
██║  ██║██╔═══██╗██║    ██║    ╚══██╔══╝██╔═══██╗    ██║   ██║██╔════╝██╔════╝    ╚══██╔══╝██║  ██║██║██╔════╝██╗
███████║██║   ██║██║ █╗ ██║       ██║   ██║   ██║    ██║   ██║███████╗█████╗         ██║   ███████║██║███████╗╚═╝
██╔══██║██║   ██║██║███╗██║       ██║   ██║   ██║    ██║   ██║╚════██║██╔══╝         ██║   ██╔══██║██║╚════██║██╗
██║  ██║╚██████╔╝╚███╔███╔╝       ██║   ╚██████╔╝    ╚██████╔╝███████║███████╗       ██║   ██║  ██║██║███████║╚═╝
╚═╝  ╚═╝ ╚═════╝  ╚══╝╚══╝        ╚═╝    ╚═════╝      ╚═════╝ ╚══════╝╚══════╝       ╚═╝   ╚═╝  ╚═╝╚═╝╚══════╝

Fill the needed environment variables using LONGITUDE__ as prefix!
"""
import os
import sys

sys.path.append(os.path.join(os.path.dirname(__file__), '..', '..'))

from longitude.core.caches.ram import RamCache  # noqa
from longitude.core.data_sources.postgres.default import PostgresDataSource  # noqa
from longitude.samples.config import config  # noqa


if __name__ == "__main__":
    options = {
        'user': config['pg_user'],
        'password': config['pg_password']
    }
    ds = PostgresDataSource(options)

    result = ds.query('select id, name from country_population limit 30')

    for row in result.rows:
        print(row)
    print('------ \n')

    print(result.fields)
